geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "mika" <>
Subject Re: Deploying EAR which has been already deployed in JBoss 4.0.4
Date Thu, 27 Jul 2006 13:32:47 GMT
Well, I've packed the xalan.jar under <repository>/xalan/xalan/2.0 and added the dependency-section
in all geronimo-web-*.xml's.

But the error remains the same.

Are there some more JAR's depending on xalan to add?

Thanks a lot,

> For what I can see you need the Xalan libraries in your
> dependency settings as I described with the soap-2.3.1.jar
> Geronimo don't use a global lib/ext directory for all
> the files needed by your app, it uses the repositiory
> which can store also different lib version.
> You have to declare these dependencies in your geronimo-web-*.xml
> It sounds hard to do all that declarations but it gives you
> much more control on which libs are loaded and which not.
> Thanks,
> Mario

Echte DSL-Flatrate dauerhaft für 0,- Euro*. Nur noch kurze Zeit!
"Feel free" mit GMX DSL:

View raw message